package com.kingdee.eas.custom.lxsq;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ProjectApplicationCollection extends AbstractObjectCollection 
{
    public ProjectApplicationCollection()
    {
        super(ProjectApplicationInfo.class);
    }
    public boolean add(ProjectApplicationInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ProjectApplicationCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ProjectApplicationInfo item)
    {
        return removeObject(item);
    }
    public ProjectApplicationInfo get(int index)
    {
        return(ProjectApplicationInfo)getObject(index);
    }
    public ProjectApplicationInfo get(Object key)
    {
        return(ProjectApplicationInfo)getObject(key);
    }
    public void set(int index, ProjectApplicationInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ProjectApplicationInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ProjectApplicationInfo item)
    {
        return super.indexOf(item);
    }
}